Уязвимость BDU:2020-00752

Дата: 17.06.2019. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2020-00752.

Наименование уязвимости: Уязвимость модуля Gem::UserInteraction системы управления пакетами RubyGems, позволяющая нарушителю нарушить целостность данных.

Описание уязвимости: Уязвимость модуля Gem::UserInteraction системы управления пакетами RubyGems связана с недостаточным экранированием. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, нарушить целостность данных при помощи специально сформированной escape-последовательности
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 14.04 LTS | Операционная система Canonical Ltd. Ubuntu 16.04 LTS | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система Canonical Ltd. Ubuntu 18.10 | Операционная система ООО «РусБИТех-Астра» Astra Linux 1.6 «Смоленск» | Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Операционная система Red Hat Inc. Red Hat Enterprise Linux 8 | Операционная система Novell Inc. OpenSUSE Leap 15.0 | Операционная система Novell Inc. OpenSUSE Leap 15.1 | Операционная система Debian GNU/Linux 10.0 | Прикладное ПО информационных систем Red Hat Inc. Red Hat Software Collections — | Прикладное ПО информационных систем rubygems от 2.6 до 3.0.2 включительно | ПО виртуализации/ПО виртуального программно-аппаратного средства Red Hat Inc. CloudForms Management Engine 5.10 | Операционная система ООО «РусБИТех-Астра» Astra Linux 2.12 «Орел» |

Наименование ОС и тип аппаратной платформы: Ubuntu 1404 LTS | Ubuntu 1604 LTS | Ubuntu 1804 LTS | Ubuntu 1810 | Astra Linux 16 «Смоленск» | Debian GNU/Linux 80 | Debian GNU/Linux 90 | Red Hat Enterprise Linux 8 | OpenSUSE Leap 150 | OpenSUSE Leap 151 | Debian GNU/Linux 100 | Astra Linux 212 «Орел» |
Дата выявления: 17.06.2019.
CVSS 2.0: AV:N/AC:H/Au:N/C:N/I:C/A:N
Уровень опасности уязвимости: Средний уровень опасности (базовая оценка CVSS 2.0 составляет 5,4)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 5,9)

Возможные меры по устранению:
Использование рекомендаций:
Для jruby:
Обновление программного обеспечения до 1.5.6-9+deb8u1 или более поздней версии

Для Debian:
Обновление программного обеспечения (пакета jruby) до 1.5.6-9+deb8u1 или более поздней версии

Для программных продуктов Novell Inc.:
https://lists.opensuse.org/opensuse-security-announce/2019-07/msg00036.html

Для Astra Linux:
https://wiki.astralinux.ru/pages/viewpage.action?pageId=57444186
Обновление программного обеспечения (пакета jruby) до 1.5.6-9+deb8u1 или более поздней версии

Для Ubuntu:
https://usn.ubuntu.com/3945-1/

Для программных продуктов Red Hat Inc.:
https://access.redhat.com/security/cve/CVE-2019-8321
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2019-8321.

Тип ошибки CWE: CWE-88
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://nvd.nist.gov/vuln/detail/CVE-2019-8321
https://security-tracker.debian.org/tracker/CVE-2019-8321
https://lists.opensuse.org/opensuse-security-announce/2019-07/msg00036.html
https://wiki.astralinux.ru/pages/viewpage.action?pageId=57444186
https://usn.ubuntu.com/3945-1/
https://access.redhat.com/security/cve/CVE-2019-8321

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *